<?php 
session_start(); 
if (empty($_SESSION['session_username'])) {  
    header("Location: login_form.php");
    exit();
} 
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <style>
    body {
        background-color: #F1C40F; /* UWM Gold */
        color: #000000; /* UWM Black */
        font-family: "Lucida Sans Unicode", "Lucida Grande", sans-serif;
    }
    label {
        font: 13px "Lucida Sans Unicode", "Lucida Grande", sans-serif;
        font-weight: bold;
        color: #300ACC;
    }
    fieldset {
        font: 15px "Lucida Sans Unicode", "Lucida Grande", sans-serif;
        font-weight: bold;
        color: #300ACC;
    }
    .wrapper {
       margin-top: auto;
       margin-right: auto; 
       margin-left: auto;
       margin-bottom: 10px;
       padding: 10px;
       border-style: ridge;
       border-color: #000000; /* UWM Black */
       width: 400px;
       text-align: center;
       background-color: #FFFFFF; /* White background for contrast */
    }
    h1, h2, h3 {
        color: #000000; /* UWM Black */
    }
    button {
        background-color: #000000; /* UWM Black */
        color: #F1C40F; /* UWM Gold */
        border: none;
        padding: 10px 20px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
        margin: 4px 2px;
        cursor: pointer;
    }
    button:hover {
        background-color: #F1C40F; /* UWM Gold */
        color: #000000; /* UWM Black */
    }
    .header-image {
        width: 100%;
        max-width: 600px;
        height: auto;
        display: block;
        margin: 0 auto 20px;
    }
    </style>
</head>
<body>
    <div class="wrapper">
        <?php
        echo "<h1>Welcome! ". $_SESSION['session_username']."</h1>";
        echo "<h2> Welcome to the Pet Supplies Store</h2>";
        echo "<h3> You are now logged in!</h3>";
        ?>
        
        <img src="UWM_PANTHER.png" width="400px" alt="Pet Store Logo">
        <br>

        <form action="handle_searchbycategory.php" method="post"> 
            <fieldset><legend>Search products by category:</legend>
            <p><label>Select a category <select name="productcategory">
                <option value="Toys">Toys</option>
                <option value="Food">Food</option>
                <option value="Accessories">Accessories</option>
                <option value="Grooming">Grooming</option>
                <option value="Furniture">Furniture</option>
            </select></label></p>
            <div align="center"><input type="submit" name="search" value="Search"></div>
            </fieldset>
        </form>
       <form action="handle_searchbyname.php" method="post"> 
    <fieldset><legend>Search products by name:</legend>
    <p><label>Enter product name: <input type="text" name="productname"></label></p>
    <p><label><input type="checkbox" name="searchall" value="1"> Search all products</label></p>
    <div align="center"><input type="submit" name="search" value="Search"></div>
    </fieldset>
</form>
<br>
<form action="handle_searchbyprice.php" method="post"> 
    <fieldset><legend>Search products by price:</legend>
    <p><label>Enter minimum price: <input type="number" step="0.01" name="minprice"></label></p>
    <p><label>Enter maximum price: <input type="number" step="0.01" name="maxprice"></label></p>
    <div align="center"><input type="submit" name="search" value="Search"></div>
    </fieldset>
</form>
<br><br>
        <button type="button" onclick="location.href='logout.php';">Log out</button>
    </div>
</body>
</html>