<?php 
session_start();
if (empty($_SESSION['session_username'])) {  
    header("Location: login_form.php");
    exit();
}
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <style>
    body {
        background-color: #F1C40F; /* UWM Gold */
        color: #000000; /* UWM Black */
        font-family: "Lucida Sans Unicode", "Lucida Grande", sans-serif;
    }
    form {
        width: 80%;
        max-width: 600px;
        margin: 0 auto;
        background-color: #FFFFFF; /* White background for contrast */
        padding: 20px;
        border: 2px solid #000000; /* UWM Black */
        border-radius: 10px;
    }
    h1, h2 {
        color: #000000; /* UWM Black */
    }
    h2 {
        color: blue; /* Specific color for the "Add a Product!" heading */
    }
    button {
        background-color: #000000; /* UWM Black */
        color: #F1C40F; /* UWM Gold */
        border: none;
        padding: 10px 20px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
        margin: 4px 2px;
        cursor: pointer;
    }
    button:hover {
        background-color: #F1C40F; /* UWM Gold */
        color: #000000; /* UWM Black */
    }
    fieldset {
        border: 2px solid #000000; 
        padding: 10px;
    }
    label {
        font-weight: bold;
        color: #300ACC;
    }
    </style>
</head>
<body>
    <?php
    echo "<h1>Welcome Admin ". $_SESSION['session_username']."</h1>";
    echo "<h2>This page is only for administrators to view</h2>";
    echo "<p><button type=\"button\" onclick=\"location.href='admin_view_all_users.php'\">View all registered users</button></p>";
    ?>

    <div align="center">
        <h2>Add a Product!</h2>
    </div>
    <form action="handle_admin_add_new_product.php" method="post"> 
        <fieldset><legend>Enter product information in the form below:</legend>
        <p><label>Product Name: <input type="text" name="name" size="20"></label></p>
        <p><label>Category:<select name="category">
            <option value="Toys">Toys</option>
            <option value="Food">Food</option>
            <option value="Accessories">Accessories</option>
            <option value="Grooming">Grooming</option>
            <option value="Furniture">Furniture</option>
        </select></label></p>
        <p><label>Price: <input type="number" step="0.01" name="price" size="20"></label></p>
        <p><label>Quantity: <input type="number" name="quantity" size="20" maxlength="10"></label></p>
        <p><label>Description: <textarea name="description" rows="4" cols="50"></textarea></label></p>
        <p align="center"><input type="submit" name="submit" value="Submit Product Information"></p>
        </fieldset>
    </form>
    <br><br>
    <button type="button" onclick="location.href='logout.php';">Log out</button>
</body>
</html>